std::numeric_limits< int > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr int | denorm_min () noexcept
static constexpr int | epsilon () noexcept
static constexpr int | infinity () noexcept
static constexpr int | lowest () noexcept
static constexpr int | max () noexcept
static constexpr int | min () noexcept
static constexpr int | quiet_NaN () noexcept
static constexpr int | round_error () noexcept
static constexpr int | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<int> specialization.

Definition at line 1060 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr int std::numeric_limits< int >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1113 of file limits.

## epsilon()

static constexpr int std::numeric_limits< int >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1086 of file limits.

## infinity()

static constexpr int std::numeric_limits< int >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1104 of file limits.

## lowest()

static constexpr int std::numeric_limits< int >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1072 of file limits.

## max()

static constexpr int std::numeric_limits< int >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1068 of file limits.

## min()

static constexpr int std::numeric_limits< int >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1065 of file limits.

## quiet_NaN()

static constexpr int std::numeric_limits< int >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1107 of file limits.

## round_error()

static constexpr int std::numeric_limits< int >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1089 of file limits.

## signaling_NaN()

static constexpr int std::numeric_limits< int >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1110 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< int >::digits

static constexpr

Definition at line 1075 of file limits.

## digits10

constexpr int std::numeric_limits< int >::digits10

static constexpr

Definition at line 1076 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< int >::has_denorm

static constexpr

Definition at line 1099 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< int >::has_denorm_loss

static constexpr

Definition at line 1101 of file limits.

## has_infinity

constexpr bool std::numeric_limits< int >::has_infinity

static constexpr

Definition at line 1096 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< int >::has_quiet_NaN

static constexpr

Definition at line 1097 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< int >::has_signaling_NaN

static constexpr

Definition at line 1098 of file limits.

## is_bounded

constexpr bool std::numeric_limits< int >::is_bounded

static constexpr

Definition at line 1116 of file limits.

## is_exact

constexpr bool std::numeric_limits< int >::is_exact

static constexpr

Definition at line 1082 of file limits.

## is_iec559

constexpr bool std::numeric_limits< int >::is_iec559

static constexpr

Definition at line 1115 of file limits.

## is_integer

constexpr bool std::numeric_limits< int >::is_integer

static constexpr

Definition at line 1081 of file limits.

## is_modulo

constexpr bool std::numeric_limits< int >::is_modulo

static constexpr

Definition at line 1117 of file limits.

## is_signed

constexpr bool std::numeric_limits< int >::is_signed

static constexpr

Definition at line 1080 of file limits.

## is_specialized

constexpr bool std::numeric_limits< int >::is_specialized

static constexpr

Definition at line 1062 of file limits.

## max_digits10

constexpr int std::numeric_limits< int >::max_digits10

static constexpr

Definition at line 1078 of file limits.

## max_exponent

constexpr int std::numeric_limits< int >::max_exponent

static constexpr

Definition at line 1093 of file limits.

## max_exponent10

constexpr int std::numeric_limits< int >::max_exponent10

static constexpr

Definition at line 1094 of file limits.

## min_exponent

constexpr int std::numeric_limits< int >::min_exponent

static constexpr

Definition at line 1091 of file limits.

## min_exponent10

constexpr int std::numeric_limits< int >::min_exponent10

static constexpr

Definition at line 1092 of file limits.

## radix

constexpr int std::numeric_limits< int >::radix

static constexpr

Definition at line 1083 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< int >::round_style

static constexpr

Definition at line 1121 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< int >::tinyness_before

static constexpr

Definition at line 1120 of file limits.

## traps

constexpr bool std::numeric_limits< int >::traps

static constexpr

Definition at line 1119 of file limits.

The documentation for this struct was generated from the following file:

- limits